Replace Playlist

Replace a playlist at {playlistId} with the supplied playlist.

This method is intended to be used when multiple changes have been made to playlist off-line. If the user is online each individual change to playlist should be submitted as it happens, using the endpoints for modifying playlist details, adding and deleting individual tracks.

OAuth

 \ Example request

POST  https://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b?country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

The body of the request should be structured as follows:

{
    "name": "party time",
    "status": "published",
 	  "visibility": "private",
    "tracks": [
        {
            "trackId": "123456"
        }
    ]
}

Example response

{
    "playlist": {
        "id": "6141e9d36f6bd00ea821b8cc",
        "name": "party time",
        "status": "Published",
        "visibility": "Private",
        "tags": [],
        "tracks": [
            {
                "id": "61816beb6f6bd01b94604652",
                "trackId": "123456",
                "source": "7digital",
                "audioUrl": "http://stream.svc.7digital.net/stream/catalogue?trackId=123456",
                "dateAdded": "2021-11-02T16:48:43.642Z",
                "image": ""
            }
        ],
        "annotations": {},
        "lastUpdated": "2021-11-02T16:48:43.642Z",
        "partnerId": "11940"
    }
}
Path Params
string
required

The identifier for the playlist you want to update

Query Params
string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

Form Data
string

The name of the playlist

string

Playlist Tool supported values are draft or published

string

Supported values are private or public

string

Limited to 500 characters

tracks
array

An array of objects, each of which may contain trackID and optional metadata trackTitle, trackVersion, artistAppearsAs, releaseId, releaseTitle, releaseArtistAppearsAs, releaseVersion

tracks
string

a hash of any addtional parameters to be saved

Language
LoadingLoading…